## postgresql-8.3 8.3.23~20220624.1253-7~1.git3ae3089.pgdg20.04+1

=== debian/changelog ===
postgresql-8.3 (8.3.23~20220624.1253-7~1.git3ae3089.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.3.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:06 +0100
