=== debian/changelog ===
postgresql-8.3 (8.3.23-1.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-postgresql-8.3-source-
    distribution=lucid-14, bzr revision 168)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 05 Feb 2013 14:42:45 +0100
