=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: postgresql-8.3
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8~),
- dpkg-dev (>= 1.16.1~),
+ dpkg-dev (>= 1.16.1~) | hardening-wrapper,
  perl (>= 5.8),
  libperl-dev,
- tcl-dev,
+ tcl8.5-dev,
  libedit-dev,
-# libssl1.0-dev | libssl-dev (<< 1.1),
+ libssl-dev,
  zlib1g-dev | libz-dev,
  libpam0g-dev | libpam-dev,
  libxml2-dev,
@@ -20,6 +19,7 @@
  libxslt1-dev,
  libossp-uuid-dev,
  python-dev,
+# python3-dev,
  bison,
  flex,
  openjade,
@@ -30,8 +30,9 @@
  xsltproc,
  gettext
 Homepage: http://www.postgresql.org/
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 8.3
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-8.3/trunk
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-8.3/trunk/
+XS-Testsuite: autopkgtest
 
 Package: libpq-dev
 Architecture: any
@@ -39,6 +40,9 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq5 (= ${binary:Version}),
+ libssl-dev,
+ libkrb5-dev,
+ comerr-dev
 Suggests: postgresql-doc-8.3
 Description: header files for libpq5 (PostgreSQL library)
  Header files and static library for compiling C programs to link
@@ -119,8 +123,9 @@
  postgresql-common (>= 130~),
  tzdata,
  ssl-cert,
- locales | locales-all,
-Suggests: oidentd | ident-server
+ locales
+Suggests: oidentd | ident-server, locales-all
+Breaks: postgresql-plpython-8.3 (<< ${binary:Version})
 Description: object-relational SQL database, version 8.3 server
  PostgreSQL is a fully featured object-relational database management
  system.  It supports a large part of the SQL standard and is designed
@@ -138,7 +143,7 @@
 
 Package: postgresql-8.3-dbg
 Section: debug
-Priority: optional
+Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, postgresql-8.3 (= ${binary:Version})
 Conflicts: postgresql-dbg, postgresql-9.1-dbg
@@ -158,10 +163,11 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- postgresql-client-common (>= 115~),
- sensible-utils,
+ postgresql-client-common (>= 115~)
 Suggests: postgresql-8.3, postgresql-doc-8.3
 Provides: postgresql-client
+#Breaks: postgresql-8.3 (<< ${binary:Version})
+#Replaces: postgresql-8.3 (<< 8.3~beta1-2)
 Description: front-end programs for PostgreSQL 8.3
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
@@ -288,15 +294,13 @@
  .
  PostgreSQL is an object-relational SQL database management system.
 
-Package: postgresql-pltcl-8.3
-Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- postgresql-8.3 (= ${binary:Version})
-Provides: postgresql-pltcl
-Description: PL/Tcl procedural language for PostgreSQL 8.3
- PL/Tcl enables an SQL developer to write procedural language functions
- for PostgreSQL 8.3 in Tcl.  You need this package if you have any
- PostgreSQL 8.3 functions that use the languages pltcl or pltclu.
- .
- PostgreSQL is an object-relational SQL database management system.
+#Package: postgresql-plpython3-8.3
+#Architecture: any
+#Depends: ${misc:Depends},
+# ${shlibs:Depends},
+# postgresql-8.3 (= ${binary:Version})
+#Replaces: postgresql-plpython-8.3 (<< ${binary:Version})
+#Breaks: postgresql-plpython-8.3 (<< ${binary:Version})
+#Provides: postgresql-plpython3
+#Description: PL/Python 3 procedural language for PostgreSQL 8.3
+# PL/Python 3 enables an SQL developer to write procedural language functions
