=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
+TCL_VER := 8.5
 MAJOR_VER := 8.3
 
+# support both hardening-wrapper (for backports) and dpkg-buildflags
+export DEB_BUILD_HARDENING = 1
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=-format
 export DEB_BUILD_HARDENING_FORMAT=0
 LDFLAGS+= -Wl,--as-needed -Wl,-z,now
-CFLAGS+= -fPIC -fno-aggressive-loop-optimizations
-# cf. http://stackoverflow.com/a/34204352/3872653
+CFLAGS+= -fPIC
 
 # When protecting the postmaster with oom_adj=-17, allow the OOM killer to slay
 # the backends (http://archives.postgresql.org/pgsql-hackers/2010-01/msg00170.php)
@@ -44,8 +46,6 @@
   CFLAGS='$(CFLAGS)' \
   LDFLAGS='$(LDFLAGS)'
 
-PYTHON_FLAGS = --with-python PYTHON=/usr/bin/python
-
 # build should fail on test suite failures on all arches
 TESTSUITE_FAIL_CMD=exit 1
 
@@ -53,24 +53,37 @@
 %:
 	dh $@
 
-override_dh_auto_configure: stamp/configure-build
+override_dh_auto_configure: stamp/configure-build #stamp/configure-build-py3
 
 stamp/configure-build:
 	mkdir -p stamp build
 	cd build && ../configure \
            --with-tcl \
            --with-perl \
+           --with-python \
            --with-pam \
            --with-krb5 \
            --with-gssapi \
-           --without-openssl \
+           --with-openssl \
            --with-libxml \
            --with-libxslt \
            --with-ldap \
-           $(COMMON_CONFIGURE_FLAGS) $(PYTHON_FLAGS)
+           --with-tclconfig=/usr/lib/tcl$(TCL_VER) \
+           --with-tkconfig=/usr/lib/tk$(TCL_VER) \
+           --with-includes=/usr/include/tcl$(TCL_VER) \
+           PYTHON=/usr/bin/python \
+           $(COMMON_CONFIGURE_FLAGS)
 	touch "$@"
 	
-override_dh_auto_build: stamp/build
+stamp/configure-build-py3:
+	mkdir build-py3
+	cd build-py3 && ../configure \
+           --with-python \
+           PYTHON=/usr/bin/python3 \
+           $(COMMON_CONFIGURE_FLAGS)
+	touch "$@"
+
+override_dh_auto_build: stamp/build #stamp/build-py3
 
 stamp/build: stamp/configure-build
 	cd build && $(MAKE)
@@ -83,7 +96,12 @@
 
 	touch "$@"
 
+stamp/build-py3: stamp/configure-build-py3
+	cd build-py3 && $(MAKE)
+	touch "$@"
+
 override_dh_auto_install:
+	#make -C build-py3 install DESTDIR=$(CURDIR)/debian/tmp
 	make -C build install DESTDIR=$(CURDIR)/debian/tmp
 	# compress manpages
 	gzip -9n $(CURDIR)/debian/tmp/usr/share/postgresql/*/man/man*/*.[137]
@@ -160,6 +178,3 @@
 	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data stop
 	# find and print the regression diffs
 	find build/contrib/ -name regression.diffs -exec cat '{}' \;
-
-# dh_dwz is broken in buster for manual debug packages (#939164)
-override_dh_dwz:
